Subject: bug#75410: closed (Re: bug#75410: [PATCH] image-dired: Add extra keybinds for navigation)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 Feb 2025 05:35:02 +0000

Your bug report

#75410: [PATCH] image-dired: Add extra keybinds for navigation

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75410: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75410
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#75410: [PATCH] image-dired: Add extra keybinds for navigation
From: Stefan Kangas <[email-masked]>
To: Gabriel Santos <[email-masked]>
Cc: [email-masked]
Date: Tue, 11 Feb 2025 21:34:06 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 31.1

Gabriel Santos <[email-masked]> writes:

> Hello,
>
> Attached is the updated patch.
>
> Here is the news entry I wrote:
>
> "
> Bound unused letters in 'image-dired-thumbnail-mode-map'
> For a more comfortable navigation experience (as in, no modifier keys),
> the keys "f", "b", "n", "p", "a" and "e" are now bound to the
> same functions as their C- counterparts.
> "
>
> Let me know what you think about it!

Thanks!  Installed on master as commit 7aa42917288.

I'm therefore closing this bug report.

Subject: [PATCH] image-dired: Add extra keybinds for navigation
From: Gabriel Santos <[email-masked]>
To: [email-masked]
Cc: Stefan Kangas <[email-masked]>
Date: Mon, 06 Jan 2025 17:07:24 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Greetings,

I discovered this mode through a blog post from Sacha:

<https://sachachua.com/blog/2025/01/using-image-dired-to-browse-the-latest-screenshots-from-multiple-directories/>

And I really liked it.

Though, I felt that it was missing something:

Some keybinds for navigation besides C-n and C-p, like those found in
other read-only modes, such as dired-mode.

This patch binds the following keys in `image-dired-thumbnail-mode-map':

- "f" :: `image-dired-forward-image'
- "b" :: `image-dired-backward-image'
- "n" :: `image-dired-next-line'
- "p" :: `image-dired-previous-line'
- "a" :: `image-dired-move-beginning-of-line'
- "e" :: `image-dired-move-end-of-line'

These keys are currently unused in the mode.

Regards,

--
Gabriel Santos

>From 8f7a1234ce7642f587e435347bf7ba22b397ce18 Mon Sep 17 00:00:00 2001
From: Gabriel Santos <[email-masked]>
Date: Mon, 6 Jan 2025 16:56:31 -0300
Subject: [PATCH] image-dired: Add extra keybinds for navigation

* lisp/image/image-dired.el (image-dired-thumbnail-mode-map):
Bind previously unused keys for alternative navigation.
---
 lisp/image/image-dired.el | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/lisp/image/image-dired.el b/lisp/image/image-dired.el
index 71c272e4388..b35199c60d4 100644
--- a/lisp/image/image-dired.el
+++ b/lisp/image/image-dired.el
@@ -944,6 +944,15 @@ You probably want to use this together with
 
 (defvar-keymap image-dired-thumbnail-mode-map
   :doc "Keymap for `image-dired-thumbnail-mode'."
+
+  ;; Regular navigation
+  "f"          #'image-dired-forward-image
+  "b"          #'image-dired-backward-image
+  "n"          #'image-dired-next-line
+  "p"          #'image-dired-previous-line
+  "a"          #'image-dired-move-beginning-of-line
+  "e"          #'image-dired-move-end-of-line
+
   "d"          #'image-dired-flag-thumb-original-file
   "<delete>"   #'image-dired-flag-thumb-original-file
   "m"          #'image-dired-mark-thumb-original-file
-- 
2.47.1